// Copyright (c) 2015, InfluxFramework LLC
// License: GNU General Public License v3. See license.txt

influxframework.require("assets/influxerp/js/financial_statements.js", function() {
	influxframework.query_reports["Balance Sheet"] = $.extend({}, influxerp.financial_statements);

	influxerp.utils.add_dimensions('Balance Sheet', 10);

	influxframework.query_reports["Balance Sheet"]["filters"].push({
		"fieldname": "accumulated_values",
		"label": __("Accumulated Values"),
		"fieldtype": "Check",
		"default": 1
	});

	influxframework.query_reports["Balance Sheet"]["filters"].push({
		"fieldname": "include_default_book_entries",
		"label": __("Include Default Book Entries"),
		"fieldtype": "Check",
		"default": 1
	});
});
